## org.gnu.gtk
Class RcStyle

    java.lang.Object
      org.gnu.glib.GObject
          org.gnu.gtk.RcStyle

public class RcStyle
extends GObject

A class that provides runtime routines for handling resource files.

Field Summary

Fields inherited from class org.gnu.glib.GObject
`eventsInitialized`

Constructor Summary
`RcStyle()` Construct a new RcStyle.
`RcStyle(Handle handle)` Construct a new RcStyle from a given handle to a native resource.

Method Summary
`protected static Handle` `getFontDesc(Handle cptr)`
`FontDescription` `getFontDescription()`
`java.lang.String` `getName()`
`protected static java.lang.String` `getName(Handle cptr)`
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`protected static int` `getXthickness(Handle cptr)`
`protected static int` `getYthickness(Handle cptr)`
`protected static Handle` `gtk_rc_style_copy(Handle orig)`
`protected static int` `gtk_rc_style_get_type()`
`protected static Handle` `gtk_rc_style_new()`
`protected static void` `gtk_rc_style_ref(Handle rc_style)`
`protected static void` `gtk_rc_style_unref(Handle rc_style)`

Methods inherited from class org.gnu.glib.GObject

`addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addEventHandler, addListener, equals, freezeNotify, getBooleanProperty, getData, getData, getDoubleProperty, getEventListenerClass, getEventType, getFloatProperty, getGObjectFromHandle, getHandle, getIntFromHandle, getIntProperty, getJavaObjectProperty, getLongProperty, getNullHandle, getPixbufProperty, getProperty, getStringFromHandle, getStringProperty, hashCode, hasProperty, instantiateJGObjectFromGType, notify, removeEventHandler, removeListener, retrieveGObject, setBooleanProperty, setData, setData, setDoubleProperty, setFloatProperty, setHandle, setIntProperty, setJavaObjectProperty, setLongProperty, setPixbufProperty, setProperty, setStringProperty, thawNotify`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RcStyle

    public RcStyle()

  Construct a new RcStyle.

### RcStyle

    public RcStyle(Handle handle)

  Construct a new RcStyle from a given handle to a native resource.

Method Detail

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.

### getFontDescription

    public FontDescription getFontDescription()

### getName

    public java.lang.String getName()

### getName

    protected static final java.lang.String getName(Handle cptr)

### getFontDesc

    protected static final Handle getFontDesc(Handle cptr)

### getXthickness

    protected static final int getXthickness(Handle cptr)

### getYthickness

    protected static final int getYthickness(Handle cptr)

### gtk_rc_style_get_type

    protected static final int gtk_rc_style_get_type()

### gtk_rc_style_new

    protected static final Handle gtk_rc_style_new()

### gtk_rc_style_copy

    protected static final Handle gtk_rc_style_copy(Handle orig)

### gtk_rc_style_ref

    protected static final void gtk_rc_style_ref(Handle rc_style)

### gtk_rc_style_unref

    protected static final void gtk_rc_style_unref(Handle rc_style)